org.keycloak.dom.saml.v2.assertion

## Class AudienceRestrictionType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.ConditionAbstractType
  - - org.keycloak.dom.saml.v2.assertion.AudienceRestrictionType

- All Implemented Interfaces:
    Serializable

      public class AudienceRestrictionType
      extends ConditionAbstractType
      implements Serializable

  Java class for AudienceRestrictionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AudienceRestrictionType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}ConditionAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Audience" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<URI>` | `audience`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudienceRestrictionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAudience(URI audienceval)` Add an audience
    `List<URI>` | `getAudience()` Gets the value of the audience property.
    `void` | `removeAudience(URI audienceval)` Remove an audience

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### audience

          protected List<URI> audience

  - ### Constructor Detail

    - #### AudienceRestrictionType

          public AudienceRestrictionType()

  - ### Method Detail

    - #### addAudience

          public void addAudience(URI audienceval)

      Add an audience
      Parameters:
        `audienceval` -

    - #### removeAudience

          public void removeAudience(URI audienceval)

      Remove an audience
      Parameters:
        `audienceval` -

    - #### getAudience

          public List<URI> getAudience()

      Gets the value of the audience property.

Copyright © 2021 JBoss by Red Hat. All rights reserved.